Previous Chapter: Installation
Next Chapter: New Installation
This section has not yet been translated to your requested language.

Requirements & Recommendations

The first step when installing or upgrading ATutor is to check if the minimum requirements are met. The following describes those checks.

File Integrity

The Case Sensitivity check verifies that file names were not converted to lower-case during the extraction process. This is not an issue on case-insensitive operating systems like MS Windows, but is an issue on case-sensative ones like Linux.

Web Server

The ATutor development and testing processes are done primarily on Apache 1.3 and Apache 2 (using pre-forking), and as such we strongly recommend them for production environments. ATutor has been successfully installed on other web servers, including, Zeus, lighttpd, Abyss, Zazou Mini Web Server, Microsoft IIS, and Jana-Server.

The web server can be configured with SSL for added security or to use a non-standard port and ATutor will function without modification.

PHP

ATutor is written in the PHP language. The PHP configuration file contains many configuration settings that can be changed. The following are the minimum requirements needed to install and use ATutor.

PHP 5.0.2+
Version 5.2.0 or higher is recommended.
zlib
Zlib support must be enabled in PHP; It is used for compressing and uncompressing ZIP files.
mysql
MySQL support must be enabled in PHP.
mbstring
MBstring support must be compiled into PHP to support UTF-8 lamguage characters.
curl (optional)
Curl support must be compiled into PHP for ATutor Social (Networking) .
safe_mode = Off
safe_mode must be disabled in PHP. ATutor cannot function with the restrictions enforced when safe_mode is enabled.
file_uploads = On
File uploads support must be enabled in PHP.
upload_max_filesize >= 2 MB
This option specifies the maximum size of files that can be uploaded to ATutor.
post_max_size >= 8 MB
This value must be larger than the upload_max_filesize.
sessions
Sessions support must be enabled in PHP.
session.auto_start = 0
session.auto_start must be disabled in PHP.
session.save_path
session.save_path must be set to a real path that can store session data.
. in include_path
. must be in the list of paths in the include_path option.

Additionally, the following php.ini configuration settings are recommended:

display_errors          = Off
arg_separator.input     = ";&"
register_globals        = Off
magic_quotes_gpc        = Off
magic_quotes_runtime    = Off
allow_url_fopen         = On
allow_url_include       = Off
register_argc_argv      = Off
zlib.output_compression = On
session.use_trans_sid   = 0

MySQL

Currently ATutor only supports the MySQL database. MySQL 4.1.10 or higher is required.

A database user account with database creation privileges is required if your database does not already exist. That same user will then need table creation privileges for the chosen database. See the MySQL chapter How the Privilege System Works for additional information.

Web Browser

ATutor makes use of many new HTML features that are only supported in recent web browsers. Though ATutor is designed to function effectively in older browsers we strongly recommend using the latest version of your favorite browser. We recommend FireFox for either Windows, *nix or Mac OS X.

Previous Chapter: Installation
Next Chapter: New Installation
$LastChangedDate$
All text is available under the terms of the GNU Free Documentation License.